> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maesn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete journal entry

## Field support per integration

<AccordionGroup>
  <Accordion title="Holded" icon="https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/holded.svg?fit=max&auto=format&n=NQwZPkomn6wLid0x&q=85&s=002a6714822fbb50f154f7ab9dea2db4" width="519" height="519" data-path="logo/holded.svg">
    Supported response fields:

    <ResponseField name="id" type="string">
      The id of the journal entry you want to delete.
    </ResponseField>
  </Accordion>
</AccordionGroup>


## OpenAPI

````yaml delete /accounting/journalEntries/{journalEntryId}
openapi: 3.0.0
info:
  title: Maesn unified API
  description: The Maesn unified API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api.maesn.dev
security: []
tags:
  - name: maesn
    description: ''
paths:
  /accounting/journalEntries/{journalEntryId}:
    delete:
      tags:
        - accounting
      operationId: deleteJournalEntry
      parameters:
        - name: journalEntryId
          required: true
          in: path
          schema:
            type: string
        - name: companyId
          required: false
          in: query
          schema:
            type: string
        - name: environmentName
          in: query
          schema:
            type: string
          required: false
        - name: X-API-KEY
          description: API key
          in: header
          schema:
            type: string
            example: example value
          required: true
        - name: X-ACCOUNT-KEY
          description: Account key
          in: header
          schema:
            type: string
            example: example value
          required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponseDto'
                  - properties:
                      data:
                        type: object
                        properties:
                          id:
                            type: string
                            description: The ID of the deleted journal entry
components:
  schemas:
    BaseResponseDto:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/MetaResponse'
        data:
          oneOf:
            - type: object
            - type: array
    MetaResponse:
      type: object
      properties:
        warnings:
          type: array
          items:
            type: string
            example: Field not used by target system
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
    PaginationResponse:
      type: object
      properties:
        total:
          type: number
          example: 125
        perPage:
          type: number
          example: 50
        currentPage:
          type: number
          example: 1
        totalPages:
          type: number
          example: 3

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.